Rate this Content

 
 
 
 
 
 
 
Rate
 
 
 
 
 
 
0 Rates
0 %
1
5
0
 

Which version of the minidriver specifications does my IDPrime .NET smart card comply to?

Applies to

All versions of IDPrime .NET cards

Content

The minidriver specifications are released by Microsoft. The present version is V7. For the Gemalto IDPrime .NET cards, these specifications are implemented at two levels:

The minidriver dll that is certified by Microsoft and is available on the Microsoft Update site. It is downloaded on the user PC either automatically  on Windows 7 & 8, or manually.

-The on-card minidriver assembly, which is loaded into the card by Gemalto.

The minidriver dll certification process implies that any minidriver dll and any on-card assemblies versions must be compatible. So any .NET card should work with any minidriver dll version, although it is always recommended to use the latest versions.

Different versions of the IDPrime .NET cards come with different versions of on-card minidriver assemblies.

You can check the on-card minidriver version by using the .NET Utilities web based tool. This tool is documented in the IDPrime .NET technical documentation but it is very simple to use. When the card is inserted, the minidriver version is provided under "Device Information" in the "Minidriver Assembly Version" row of the shown table.

For more details, please refer to the product page (http://www.gemalto.com/products/dotnet_card/)

More information

Information on the different minidriver specifications versions can be found on the Microsoft website. http://msdn.microsoft.com/en-us/windows/hardware/gg487500.aspx

However, for a normal usage of the IDPrime .NET card, there is no need to refer to this specification, that specifies the interface between the Windows Base CSP and Resource Manager native layers.

No comments
Add comment

* - required field

*




CAPTCHA image for SPAM prevention If you can't read the word, click here.

*
*

Latest updated pages